Summary:	POP3 $B%G!<%b%s(B
Name:		solid-pop3d-PbS
Version:	0.15
Release:	0vl1
License:	GPL
Group:		System Environment/Daemons
URL:		http://solidpop3d.pld.org.pl/
Source0:	solid-pop3d-%{version}.tar.gz
Source1:	solid-pop3d.conf
Source2:	solid-pop3d.pamd
Patch:          solid-pop3d-0.15.patch
Provides:	pop3daemon
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:       dracd-PbS

%define		_sysconfdir	/etc

%description
The Solid POP3 Server is an implementation of a Post Office Protocol
version 3 server that has flexibility as its main goal. The server is
easily configurable and has support for few features such as:
- APOP authentication scheme
- virtual hosting
- maildir and mailbox handling
- bulletins
- expiration of messages
- POP before SMTP

%prep
%setup -q -n solid-pop3d-%{version}
%patch -p1

%build
autoconf
%configure \
	--localstatedir=/var/mail \
	--enable-apop \
	--enable-pam \
	--enable-mailbox \
	--enable-maildir \
	--enable-bulletins \
	--enable-expire \
	--enable-configfile \
	--enable-userconfig \
	--enable-last \
	--enable-createmail \
       	--enable-mapping \
	--enable-nonip \
	--enable-statistics \
	--enable-dpuid \
	--enable-logextend \
	--enable-userpasswd \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
	$RPM_BUILD_ROOT%{_sysconfdir}/security \
	$RPM_BUILD_ROOT/var/mail/bulletins

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/spop3d.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/spop3d

%{__make} install DESTDIR=$RPM_BUILD_ROOT 

gzip -9nf AUTHORS README THANKS VIRTUALS doc/config.example

touch $RPM_BUILD_ROOT%{_sysconfdir}/security/blacklist.spop3d

%pre
if [ -z "`id -u spop3d 2>/dev/null`" ]; then
	%{_sbindir}/useradd -u 70 -r -d /var/mail/bulletins -s /bin/false -c "Solid POP3 User" -g nobody spop3d 1>&2
	if [ -f /var/db/passwd.db ]; then
		%{_bindir}/update-db 1>&2
	fi
fi

%post
if [ -f /var/lock/subsys/inet ]; then
	/etc/rc.d/init.d/inet reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/inet start\" to start inet sever" 1>&2
fi

%postun
if [ -f /var/lock/subsys/inet ]; then
	/etc/rc.d/init.d/inet reload 1>&2
fi

if [ "$1" = "0" ]; then
	if [ -n "`id -u spop3d 2>/dev/null`" ]; then
		%{_bindir}/userdel spop3d
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {AUTHORS,README,THANKS,VIRTUALS,doc/config.example}.gz
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/security/blacklist.spop3d
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/pam.d/spop3d
%attr(640,spop3d,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/spop3d.conf
%attr(755,root,root) %dir /var/mail/bulletins
%{_mandir}/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Wed Mar 21 2001 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp>
- 0.15-0vl1
- Customize to PbS

$Log: solid-pop3d.spec,v $
Revision 1.31  2000/10/02 16:18:02  kloczek
- typo.

Revision 1.30  2000/10/02 16:14:28  kloczek
- added solid-pop3d-ssl to Obsoletes list,
- use rpm new automation suit.

Revision 1.29  2000/09/23 13:21:55  kloczek
- adapterized.

Revision 1.28  2000/09/22 21:32:50  waszi

- updated to 0.16d

Revision 1.27  2000/09/16 15:13:51  areq

add /etc/spop3d-ssl.conf

Revision 1.26  2000/09/13 21:42:24  waszi

- remove obsoleted ssl package

Revision 1.25  2000/08/23 12:29:36  waszi
- updated 0.16c

Revision 1.24  2000/08/02 18:10:48  mis
- repaired what I corrupted: back to useradd without -m (this copies /etc/skel)

Revision 1.23  2000/07/31 12:21:00  kloczek
- release 3.

Revision 1.22  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.21  2000/06/21 19:15:27  kloczek
- fixed %files list in ssl.

Revision 1.20  2000/06/21 19:10:33  kloczek
- typo s/stunel/stunnel/.

Revision 1.19  2000/06/21 18:09:57  kloczek
- cosmetics.

Revision 1.18  2000/06/21 17:37:34  kloczek
- release 2,
- added ssl subpackage with pop over SSL service definition (as wrapper is
  used stunnel).

Revision 1.17  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/15 21:55:02  kloczek
- cosmetics.

Revision 1.14  2000/05/15 11:17:40  misiek
- updated to 0.15

Revision 1.13  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.11  2000/02/21 18:00:15  wiget
- changed default config

Revision 1.10  2000/02/12 14:33:46  wiget
- release++

Revision 1.9  2000/02/12 13:23:24  mkochano
- "/etc/rc.d/init.d/rc-inetd stop" replaced with
  "/etc/rc.d/init.d/rc-inetd reload" in %postun.

Revision 1.8  2000/02/12 00:13:06  wiget
- move useradd to %%pre

Revision 1.7  2000/02/12 00:11:38  wiget
- add/del spop3d user in %%pre/%%postun
- fix file permision

Revision 1.6  2000/02/10 06:44:26  waszi

- updated to 0.14

Revision 1.5  2000/01/18 14:29:06  misiek
- added --enable-createmail
TODO:
useradd spop3d etc

Revision 1.4  2000/01/11 08:16:02  waszi
- added spop3d.conf

Revision 1.3  2000/01/10 04:28:12  kloczek
- cosmetics.

Revision 1.2  2000/01/09 13:24:33  waszi
- adapter(ized)

* Fri Dec 10 1999 Arkadiusz Miskiewicz <misiek@pld.org.pl>
- initial rpm release
